# Draw
TKDraw
Draw

# Draw_Circle3D Class Reference

`#include <Draw_Circle3D.hxx>`

Inheritance diagram for Draw_Circle3D:

[legend]

## Public Member Functions

Standard_EXPORT | Draw_Circle3D (const gp_Circ &C, const Standard_Real A1, const Standard_Real A2, const Draw_Color &col)
Standard_EXPORT void | DrawOn (Draw_Display &dis) const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

gp_Circ | myCirc
Standard_Real | myA1
Standard_Real | myA2
Draw_Color | myColor

## Constructor & Destructor Documentation

Standard_EXPORT Draw_Circle3D::Draw_Circle3D | ( | const gp_Circ & | C,
|  | const Standard_Real | A1,
|  | const Standard_Real | A2,
|  | const Draw_Color & | col
| ) |

## Member Function Documentation

Standard_EXPORT void Draw_Circle3D::DrawOn | ( | Draw_Display & | dis | ) | const`[virtual]`

| Implements Draw_Drawable3D.

Standard_EXPORT const Draw_Circle3D::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Draw_Drawable3D.

## Field Documentation

Standard_Real Draw_Circle3D::myA1 `[private]`

Standard_Real Draw_Circle3D::myA2 `[private]`

gp_Circ Draw_Circle3D::myCirc `[private]`

Draw_Color Draw_Circle3D::myColor `[private]`

The documentation for this class was generated from the following file:

- Draw_Circle3D.hxx